Lucid LTS Maverick backport, security update to 2.6.35-23.41

Bug #684448 reported by Tim Gardner on 2010-12-02
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-lts-backport-maverick (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Tim Gardner
linux-meta-lts-backport-maverick (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Tim Gardner

Bug Description

Update the Maverick backported kernel to 2.6.35-23.41 which includes security updates.

Tim Gardner (timg-tpi) on 2010-12-02
Changed in linux-lts-backport-maverick (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
importance: Undecided → Medium
milestone: none → ubuntu-10.04.2

Accepted linux-lts-backport-maverick into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux-lts-backport-maverick (Ubuntu):
status: New → Invalid
tags: added: verification-needed
Brad Figg (brad-figg) on 2010-12-08
tags: added: kernel-tracking-bug
Tim Gardner (timg-tpi) on 2010-12-17
Changed in linux-meta-lts-backport-maverick (Ubuntu):
status: New → Invalid
Changed in linux-meta-lts-backport-maverick (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
milestone: none → ubuntu-10.04.2
status: New → Fix Committed
importance: Undecided → Medium
Simon Déziel (sdeziel) wrote :

It works for me, thanks.

simon@simon-laptop:~$ lsb_release -rd
Description: Ubuntu 10.04.1 LTS
Release: 10.04

simon@simon-laptop:~$ uname -a
Linux simon-laptop 2.6.35-23-generic #41~lucid1-Ubuntu SMP Thu Dec 2 22:27:43 UTC 2010 x86_64 GNU/Linux

Martin Pitt (pitti) on 2011-01-15
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-backport-maverick - 2.6.35-23.41~lucid1

---------------
linux-lts-backport-maverick (2.6.35-23.41~lucid1) lucid-proposed; urgency=low

  [ Tim Gardner ]

  * SRU tracking bug
    - LP: #684448

  [ Leann Ogasawara ]

  * SAUCE: AF_ECONET prevent kernel stack overflow
    - CVE-2010-3848
  * SAUCE: AF_ECONET SIOCSIFADDR ioctl does not check privileges
    - CVE-2010-3850
  * SAUCE: AF_ECONET saddr->cookie prevent NULL pointer dereference
    - CVE-2010-3849
 -- Leann Ogasawara <email address hidden> Fri, 19 Nov 2010 15:23:52 -0800

Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta-lts-backport-maverick - 2.6.35.23.35

---------------
linux-meta-lts-backport-maverick (2.6.35.23.35) lucid-proposed; urgency=low

  * linux-lts-backport-maverick 2.6.35-23.41
    - LP: #684448
 -- Tim Gardner <email address hidden> Fri, 17 Dec 2010 13:06:19 -0700

Changed in linux-meta-lts-backport-maverick (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers